
$(function () {
    //绑定删除按钮删除当前行
    bindDeleteBtn();
    //绑定收入和采购成本的输入框【都有税率】
    bindChangeableInput();

    $("#saveDraft").click(function () {

        var message = verifyProjectContributionProfitRate();
        if (message) {
            alert(message);
            return;
        }

        $("#pmsForm").attr("action",base+"/project/budgetEditSave");
        $("#pmsForm").submit();
    });
    $("#saveApprove").click(function () {

        var message = verifyProjectContributionProfitRate();
        if (message) {
            alert(message);
            return;
        }

        $("#pmsForm").attr("action",base+"/project/budgetEditSaveAndApprove");
        $("#pmsForm").submit();
    });
});

/**
 * 校验项目贡献利润率必须大于阀值
 * 低于阀值就返回提示信息，否则返回""
 */
function verifyProjectContributionProfitRate() {
    var projectContributionProfitRate = f2($("input[name='projectContributionProfitRate']").val());
    var projectContributionProfitRateThreshold = f2($("#projectContributionProfitRateThreshold").val());
    if(projectContributionProfitRate<projectContributionProfitRateThreshold){
        return "项目贡献利润率["+projectContributionProfitRate+"]低于阀值["+projectContributionProfitRateThreshold+"]，请调整后重新提交";
    }

    return "";
}

/**
 * 更新
 * 毛利=收入总计（不含税）-成本总计（不含税）-财务费用总计（不含税）
 * 毛利率=毛利（不含税）/收入总计（不含税）
 * 贡献利润=项目毛利（不含税）-公司管理费用总计（不含税）
 * 贡献利润率=贡献利润（不含税）/收入总计（不含税）
 */
function updateProjectContributionProfitRate() {
    //收入总计不含税
    var incomeTotalTaxExclude = f2($("input[name='incomeTotalTaxExclude']").val());
    //成本总计不含税
    var costTotalTaxExclude = f2($("input[name='costTotalTaxExclude']").val());
    //资金使用成本不含税
    var costExpropriationTaxExclude = f2($("input[name='costExpropriationTaxExclude']").val());
    //公司管理费用
    var costCompanyManageTaxExclude = f2($("input[name='costCompanyManageTaxExclude']").val());

    var projectGrossProfit = f2(incomeTotalTaxExclude-costTotalTaxExclude-costExpropriationTaxExclude);
    var projectGrossProfitRate = rate(projectGrossProfit, incomeTotalTaxExclude);
    var projectContributionProfit = f2(projectGrossProfit-costCompanyManageTaxExclude);
    var projectContributionProfitRate = rate(projectContributionProfit, incomeTotalTaxExclude);

    $("input[name='projectGrossProfit']").val(projectGrossProfit);
    $("input[name='projectGrossProfitRate']").val(projectGrossProfitRate);
    $("input[name='projectContributionProfit']").val(projectContributionProfit);
    $("input[name='projectContributionProfitRate']").val(projectContributionProfitRate);
}

/**
 * 计算利润率
 * @param r1
 * @param r2
 * @returns {*}
 */
function rate(r1,r2) {
    if(!r1 || !r2 || r1==0 || r2==0){
        return 0;
    }

    return f2(r1*100/r2);
}